# SHOWGRAPH.CGI

Section: User Commands (1)
Updated: Version 4.3.30: 19 Oct 2024
Index Return to Main Contents

## NAME

showgraph.cgi - CGI to generate Xymon trend graphs

## SYNOPSIS

showgraph [options]

## DESCRIPTION

showgraph.cgi is invoked as a CGI script via the showgraph.sh CGI wrapper.

showgraph.cgi is passed a QUERY_STRING environment variable with the following parameters:

host Name of the host to generate a graph for

service Name of the service to generate a graph for

disp Display-name of the host, used on the generated graphs instead of hostname.

graph Can be "hourly", "daily", "weekly" or "monthly" to select the time period that the graph covers.

first Used to split multi-graphs into multiple graphs. This causes showgraph.cgi to generate only the graphs starting with the "first'th" graph and continuing for "count".

count Number of graphs in a multi-graph.

upper Set the upper limit of the graph. See rrdgraph(1) for a description of the "-u" option.

lower Set the lower limit of the graph. See rrdgraph(1) for a description of the "-l" option.

graph_start Set the starttime of the graph. This is used in zoom-mode.

graph_end Set the end-time of the graph. This is used in zoom-mode.

action=menu Generate an HTML page with links to 4 graphs, representing the hourly, weekly, monthly and yearly graphs. Doesn't actually generate any graphs, only the HTML that links to the graphs.

action=selzoom Generate an HTML page with link to single graph, and with JavaScript code that lets the user select part of the graph for a zoom-operation. The JavaScript invokes showgraph.cgi with "action=showzoom" to generate the zoomed graph webpage.

action=showzoom Generate HTML with a link to the zoomed graph image. This link goes to an "action=view" invocation of showgraph.cgi.

action=view Generate a single graph image.

## OPTIONS

--config=FILENAME
  Loads the graph configuration file from FILENAME. If not specified, the file $XYMONHOME/etc/graphs.cfg is used. See the graphs.cfg(5) for details about this file.

--env=FILENAME
  Loads the environment settings defined in FILENAME before executing the CGI.

--rrddir=DIRECTORY
  The top-level directory for the RRD files. If not specified, the directory given by the XYMONRRDS environment is used.

--save=FILENAME
  Instead of returning the image via the CGI interface (i.e. on stdout), save the generated image to FILENAME.

--debug
  Enable debugging output.

## ENVIRONMENT

QUERY_STRING Provided by the webserver CGI interface, this decides what graph to generate.

RRDGRAPHOPTS RRD-specific options for the graph. This is usually set in the xymonserver.cfg(5) file.

## FILES

graphs.cfg: The configuration file determining how graphs are generated from RRD files.

## SEE ALSO

graphs.cfg(5), xymon(7), rrdtool(1)

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
ENVIRONMENT
FILES
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 09:09:04 GMT, October 19, 2024